Subject: [PATCH] Fix Elixir substitution error

From: Cees de Groot <[email-masked]>
Date: Tue, 01 Feb 2022 19:16:52 +0000

>From d9860a374c5b6e5b992439a232e6897bfde1e334 Mon Sep 17 00:00:00 2001
From: Cees de Groot <[email-masked]>
Date: Tue, 1 Feb 2022 14:12:17 -0500
Subject: [PATCH] Fix regex for ERTS_BIN substitution in Elixir

Something must have gone wrong during testing of the ELixir 1.13.2 patch I submitted last week. Apart from #53707, I also found out that the whole substitution regex did not work. This works better - it is still more brittle than I like, but apparently `substitute*`
does not work with fully anchored regexes.

---
 gnu/packages/elixir.scm | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/gnu/packages/elixir.scm b/gnu/packages/elixir.scm
index fae8279e5c..55e17f2901 100644
--- a/gnu/packages/elixir.scm
+++ b/gnu/packages/elixir.scm
@@ -70,7 +70,7 @@ (define-public elixir
                 (("#!/bin/sh")
                  (string-append "#!" (search-input-file inputs "/bin/sh"))))
               (substitute* "bin/elixir"
-                (("^ERTS_BIN=$")
+                (("ERTS_BIN=\n")
                  (string-append
                   "ERTS_BIN="
                   ;; Elixir Releases will prepend to ERTS_BIN the path of
--
2.34.0